Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.loadtest
Class WsdlLoadTestRunner

    java.lang.Object
      com.eviware.soapui.impl.wsdl.loadtest.WsdlLoadTestRunner

All Implemented Interfaces:
  LoadTestRunner

    public class WsdlLoadTestRunner

extends java.lang.Object
implements LoadTestRunner

TestRunner for load-tests.

Author:
  Ole.Matzura

Nested Class Summary
`class` | `WsdlLoadTestRunner.InternalPropertyChangeListener`
`class` | `WsdlLoadTestRunner.TestCaseRunner`

Nested classes/interfaces inherited from interface com.eviware.soapui.model.testsuite.LoadTestRunner
`LoadTestRunner.Status`

Constructor Summary
`WsdlLoadTestRunner(WsdlLoadTest test)`

Method Summary
`void` | `cancel(java.lang.String reason)` Cancels the loadtest with the specified reason.
`void` | `fail(java.lang.String reason)` Fails the loadtest with the specified reason.
`void` | `finishRunner(WsdlLoadTestRunner.TestCaseRunner runner)`
`void` | `finishTestCase(java.lang.String reason, WsdlTestCase testCase)`
`LoadTest` | `getLoadTest()`
`float` | `getProgress()` Returns the progress of the loadtest as a value between 0 and 1.
`java.lang.String` | `getReason()` Gets the reason why a loadtest was cancelled or failed
`int` | `getRunningThreadCount()` Gets the number of threads currently running
`LoadTestRunner.Status` | `getStatus()` Gets the current status of this runner
`long` | `getTimeTaken()` Gets the time taken for this loadtest
`void` | `updateThreadCount()`
`void` | `waitUntilFinished()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlLoadTestRunner

    public WsdlLoadTestRunner(WsdlLoadTest test)

Method Detail

### getStatus

    public LoadTestRunner.Status getStatus()

  Description copied from interface: `LoadTestRunner`
  Gets the current status of this runner

  Specified by:
    `getStatus` in interface `LoadTestRunner`

### cancel

    public void cancel(java.lang.String reason)

  Description copied from interface: `LoadTestRunner`
  Cancels the loadtest with the specified reason. This should be used for "normal" cancellations, ie from a ui or some expected signal.

  Specified by:
    `cancel` in interface `LoadTestRunner`

### fail

    public void fail(java.lang.String reason)

  Description copied from interface: `LoadTestRunner`
  Fails the loadtest with the specified reason. This should be used for error conditions

  Specified by:
    `fail` in interface `LoadTestRunner`

### waitUntilFinished

    public void waitUntilFinished()

### finishTestCase

    public void finishTestCase(java.lang.String reason,
                               WsdlTestCase testCase)

### finishRunner

    public void finishRunner(WsdlLoadTestRunner.TestCaseRunner runner)

### getRunningThreadCount

    public int getRunningThreadCount()

  Description copied from interface: `LoadTestRunner`
  Gets the number of threads currently running

  Specified by:
    `getRunningThreadCount` in interface `LoadTestRunner`

### getProgress

    public float getProgress()

  Description copied from interface: `LoadTestRunner`
  Returns the progress of the loadtest as a value between 0 and 1. Progress is measured depending on the LoadTest limit configuration

  Specified by:
    `getProgress` in interface `LoadTestRunner`

### getLoadTest

    public LoadTest getLoadTest()

  Specified by:
    `getLoadTest` in interface `LoadTestRunner`

### updateThreadCount

    public void updateThreadCount()

### getReason

    public java.lang.String getReason()

  Description copied from interface: `LoadTestRunner`
  Gets the reason why a loadtest was cancelled or failed

  Specified by:
    `getReason` in interface `LoadTestRunner`

### getTimeTaken

    public long getTimeTaken()

  Description copied from interface: `LoadTestRunner`
  Gets the time taken for this loadtest

  Specified by:
    `getTimeTaken` in interface `LoadTestRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.